Subject: [rohc] Generic scheme of list compression

From: [email-masked]
Date: Sat, 8 Aug 2009 11:21:38 +0800

"In contrast to subsequent schemes, this scheme does not rely on a
 reference list having been established.  The entire list is sent,
 using table based compression for each individual item. The generic
 scheme is always used when establishing the context of the decompressor
 and may also be used at other times, as the compressor sees fit."

When ref_list has been established and the curr_list is the same as 
ref_list,

Could we adopt generic scheme? If Not, How can we Encode?

Thanks!

caiwei 167981
LTE Development Department | LTE开发部

Product Marketing System 
产品市场体系
D3-06, ZTE Corp., No.10 South Tangyan Rd., 
Hi-tech Industrial Development Zone, Xi'an, 
P.R.China, 710065
Tel:+86-29-88724112, 15801916689
Email:[email-masked] 

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail is solely property of the sender's organization. This mail communication is confidential. Recipients named above are obligated to maintain secrecy and are not permitted to disclose the contents of this communication to others.
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. If you have received this email in error please notify the originator of the message. Any views expressed in this message are those of the individual sender.
This message has been scanned for viruses and Spam by ZTE Anti-Spam system.

---

From: Lars Eggert <[email-masked]>
Date: Sat, 8 Aug 2009 10:49:13 +0300

Hi,

please refrain from including legal disclaimers in emails to the IETF  
- they have no effect. See a message from the IETF Chair at http://www1.ietf.org/mail-archive/web/ietf-announce/current/msg02914.html 
, which I'm including for your convenience below.

Thanks,
Lars

> Sometimes people send IETF email with attached legal disclaimers,
> usually inserted automatically by their employer's mail system.
> These disclaimers make assertions about confidentiality and may  
> contain
> phrases like "If you are not the intended recipient be aware that any
> disclosure, copying, distribution or use of the contents of this
> information is prohibited."
>
> You are reminded that IETF contributions are automatically subject
> to RFC 3978, which explicitly states in Section 3.2 that:
>
>   Each Contributor agrees that any statement in a Contribution,  
> whether
>   generated automatically or otherwise, that states or implies that  
> the
>   Contribution is confidential or subject to any privilege, can be
>   disregarded for all purposes, and will be of no force or effect.
>
> Therefore, any such disclaimers attached to IETF email can be ignored
> for IETF purposes.
>
> However, we strongly advise all participants to take all possible
> steps to prevent the addition of such disclaimers. Among other issues,
> some other standards organizations will refuse to consider any liaison
> message from an IETF source that contains such a disclaimer.
>

On 2009-8-8, at 6:21, [email-masked] wrote:

> ZTE Information Security Notice: The information contained in this  
> mail is solely property of the sender's organization. This mail  
> communication is confidential. Recipients named above are obligated  
> to maintain secrecy and are not permitted to disclose the contents  
> of this communication to others.
> This email and any files transmitted with it are confidential and  
> intended solely for the use of the individual or entity to whom they  
> are addressed. If you have received this email in error please  
> notify the originator of the message. Any views expressed in this  
> message are those of the individual sender.
> <ATT00003.txt>

---

From: Klaus Warnke <[email-masked]>
Date: Tue, 11 Aug 2009 11:21:20 +0200

Wei,

> ref_list, could we adopt generic scheme?
No.
If ref_list and curr_list are the same, nothing has changed and
therefore no change must communicated.
The generic scheme updates the whole list. For small changes use the
other scheme, depending on the kind of change (insert, remove, insert
& remove).

> If Not, How can we Encode?
>From the de-compressor context's ref_list.

br
Klaus

[email-masked] wrote:
> ------------------------------------------------------------------------
>
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rohc
>